> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contacts



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/campaigns/{campaign_id}/contacts
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/campaigns/{campaign_id}/contacts:
    get:
      tags:
        - campaigns
      summary: Get Contacts
      operationId: get_contacts_api_campaigns__campaign_id__contacts_get
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Campaign Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactResponse'
                title: Response Get Contacts Api Campaigns  Campaign Id  Contacts Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ContactResponse:
      properties:
        id:
          type: integer
          title: Id
        campaign_id:
          type: integer
          title: Campaign Id
        contact_number:
          type: string
          title: Contact Number
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Details
      type: object
      required:
        - id
        - campaign_id
        - contact_number
        - name
        - details
      title: ContactResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````